rte_fib6_rcu_config(3)

NAME
rte_fib6_rcu_config

SYNOPSIS

#include <rte_fib6.h>

  Data Fields

struct rte_rcu_qsbr * v
enum rte_fib6_qsbr_mode mode
uint32_t dq_size
uint32_t reclaim_thd
uint32_t reclaim_max

Detailed Description

FIB RCU QSBR configuration structure.

Definition at line 103 of file rte_fib6.h.

Field Documentation

  struct rte_rcu_qsbr* v
RCU QSBR variable.

Definition at line 105 of file rte_fib6.h.

  enum rte_fib6_qsbr_mode mode
Mode of RCU QSBR. See RTE_FIB6_QSBR_MODE_*. Default: RTE_FIB6_QSBR_MODE_DQ, create defer queue for reclaim.

Definition at line 109 of file rte_fib6.h.

  uint32_t dq_size
RCU defer queue size. Default: RTE_FIB6_RCU_DQ_RECLAIM_SZ.

Definition at line 113 of file rte_fib6.h.

  uint32_t reclaim_thd
Threshold to trigger auto reclaim.

Definition at line 115 of file rte_fib6.h.

  uint32_t reclaim_max
Max entries to reclaim in one go. Default: RTE_FIB6_RCU_DQ_RECLAIM_MAX.

Definition at line 119 of file rte_fib6.h.

Author

Generated automatically by Doxygen for DPDK from the source code.